Retrieve Transaction

Fetch details for a specific transaction.

GET/transactions/{transactionId}

This endpoint retrieves information about the transaction with the specified transactionId.

Authorization
RequiredHeader

A Stedi API Key for authentication. Supports both test and production API keys.

Path Parameters

A unique identifier for the processed transaction within Stedi. This ID is included in the transaction processed event. You can also retrieve it manually from the transaction's details page within the Stedi portal.

Response

application/json
transactionId
StringRequired

A unique identifier for the processed transaction within Stedi. This ID is included in the transaction processed event. You can also retrieve it manually from the transaction's details page within the Stedi portal.

fileExecutionId
StringRequired

A unique identifier for the processed file within Stedi. This ID is included in the transaction processed event. You can also retrieve it manually from the file's details page in the Stedi portal.

status
StringRequired

A status indicating whether Stedi was able to successfully process the transaction.

Possible values
failed
succeeded
direction
StringRequired

The direction of the transaction. Inbound transactions are those you receive from a payer, provider, or other trading partner. Outbound transactions are those you send to a payer, provider, or other trading partner.

Possible values
INBOUND
OUTBOUND
UNKNOWN
mode
StringRequired

Indicates whether the transaction contains test or production data. Stedi determines this from the value in ISA15 Usage Indicator Code.

Possible values
test
production
other
processedAt
StringRequiredFormat: date-time

The date and time when Stedi processed the transaction, in ISO 8601 format. For example, 2023-08-28T00:00:00Z.

artifacts
Array of ObjectsRequired

A list of artifacts related to the transaction.

Array item
partnership
ObjectRequired

Information about the associated partnership.

A partnership describes all aspects of the EDI relationship between two profiles in your Stedi account, such as which transaction sets they will exchange and other important information for processing EDI files. If you're sending or receiving transactions through the Stedi clearinghouse, Stedi configures the necessary partnership for you automatically when you set up your account.

Show attributes
x12
Object

Details about the X12 EDI transaction.

Show attributes
fragments
Object

Details about fragments included in the transaction, if applicable. Fragments break large transactions into smaller parts for easier processing and management.

Show attributes
translationErrors
Array of Objects

Details about errors that prevented Stedi from processing the transaction.

Array item
businessIdentifiers
Array of Objects

Any business identifiers extracted from the transaction.

Array item